
<?php

include "dbcon.php";
 


/*
Parameter column name needs:

	start
	end
	name
	id
	progress
	dependencies

*/ 
$array_data = array();

 
$id =mysqli_real_escape_string($con,$_POST['id']);


$qry = "select *,
    ifnull((SELECT sum(percentage_added) from tasks_attendance where task_id = TaskID and member_id = AssignedTo ),0) AS units_sum,
    ifnull((SELECT project_name from cost_center where id = ProjectID  ),'') AS project_name,
    ifnull((SELECT sum(qty) as total_units FROM `task_detail` where employee = AssignedTo AND txnid = projectID AND task = TaskName ),0) AS total_units
from tasks where ProjectID = {$id} order by TaskNumber";
$res = mysqli_query($con, $qry)or die(print('SQL Error'));  

$count = 0;
while($row = mysqli_fetch_array($res)){  
    
    
    $units_sum = $row['units_sum'];
    $total_units = $row['total_units']; 
                                       
    $calculated_progress =round( (( ($units_sum*100)/ $total_units )),2);
    $calculated_progress = ($calculated_progress > 100 ? 100 : $calculated_progress);
 
    
    array_push($array_data, 
        array(
            "id" =>  $row['TaskID'],
            "proj_id" =>  $row['ProjectID'],
            "parent_id" =>  $row['ParentID'],
            "title" =>  $row['TaskName'],
            "units_sum" =>  $units_sum,
            "total_units" =>  $total_units,
            "number" =>  $row['TaskNumber'],
            "asignedTo" =>  $row['AsignedTo'],
            "start" =>  $row['SchedStart'],
            "end" =>  $row['SchedEnd'],
            "hrs" =>  $row['EstHours'],
            "progress" =>  $calculated_progress
        
                ) 
        
        );
    $count++;
  
}
print json_encode(array("data" => $array_data, "id" => $id, "count" =>$count));

?>
