
var gantt_chart;

$(document).ready(function(){
  
  
  // console.log(gantt_chart);
    loadTasks(proj_id)
  
	

}); 
	function loadTasks(proj_id){
        console.log(proj_id)
			
			$.ajax({
				url:"includes/load.php",
				type:"POST",  
                method: "POST", 
				data:{id:  proj_id},
                    success: function(data) {
                    data = JSON.parse(data)
				    console.log(data)
				    
				    createGantt(data.data)
				// 	var i;
				// 	var tasklist = [];
				
				// 	tasks = data;
					
				// 	changeView('Month');
				// 	for(i = 0; i < data.length; i++){
					
				// 		tasklist = "<tr><td> " +  data[i].name + " </td><td> " +  data[i].progress + "% </td></tr>";
				// 		$("#tasklist").append(tasklist);
				// 	}
				
				},error:function(){
				// 	window.location.href="404.php";

				}
			})
		}
		
	function update(task, start, end){
	   // console.log(task)
	   
	   
	    
			$.ajax({
				url:"includes/update.php",
				type:"POST",  
                method: "POST", 
				data:{json_data: JSON.stringify(task), start: start, end:end},
                    success: function(data) {
                    data = JSON.parse(data)
				    console.log(data)
				    
				    
				
				},error:function(){
				// 	window.location.href="404.php";

				}
			})
	}
		
	function createGantt(data){
	    
        var tasks= []	  
	    data.forEach( (item) => {
	        tasks.push({ 
              start: item.start,
              end: item.end,
              name: item.title,
              id: item.id,
              progress: item.progress, 
              dependencies: (item.parent_id == 0? null : item.parent_id),
              custom_class: 'bg-danger'
	        })
	    })
	    
	     
          gantt_chart = new Gantt(".gantt-target", tasks, {
            on_click: task => {
              // console.log(task);
            //   console.log('Clicked');
            },
            on_date_change: (task, start, end) => {
                // console.log(task, start, end);
                update(task, formatDate(start), formatDate(end))
            //   console.log('date change');
            },
            on_progress_change: (task, progress, start, end) => {
                // console.log(task, start, end);
                update(task, null, null)
            //   console.log(task, progress);
            //   console.log('Progress update');
            },
            on_view_change: (mode) => {
              console.log(mode);
            },
            popup_trigger: 'mouseover', // default 'click'
            view_mode: 'Month',
            language: 'en',
            date_format: 'MMM DD, YYYY',
            custom_popup_html: function(task) {
              // the task object will contain the updated
              // dates and progress value
            //   console.log(task)
              const end_date = task.end 
              return `
              <div class="details-container  container-fluid " style="width: 300px">
                <h6 class="border-bottom border-primary text-primary">${task.name}</h5>
                <p class="text-muted">Expected to finish by ${end_date}</p>
                <p>${task.progress}% completed!</p>
              </div>
              `;
            },
        
            
            // header_height: 50,
            // column_width: 30,
            // step: 24,
            // view_modes: ['Quarter Day', 'Half Day', 'Day', 'Week', 'Month'],
            // bar_height: 20,
            // bar_corner_radius: 3,
            // arrow_curve: 5,
            // padding: 18,
            // view_mode: 'Day',
            // date_format: 'YYYY-MM-DD',
            // language: 'en', // or 'es', 'it', 'ru', 'ptBr', 'fr', 'tr', 'zh', 'de', 'hu'
            // custom_popup_html: null
            
          });
	    
	}
	
	function formatDate(date) {
        var d = new Date(date),
            month = '' + (d.getMonth() + 1),
            day = '' + d.getDate(),
            year = d.getFullYear();
    
        if (month.length < 2) 
            month = '0' + month;
        if (day.length < 2) 
            day = '0' + day;
    
        return [year, month, day].join('-');
    }

  